Issue #8721 has been reported by mpapis (Michal Papis).

----------------------------------------
Bug #8721: require digest.so on OSX
https://bugs.ruby-lang.org/issues/8721

Author: mpapis (Michal Papis)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674) [x86_64-darwin12.3.0]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
trying to compile as much as possible static ruby on OSX, so far I got quite close with:

 LDFLAGS=-Bstatic ./configure --prefix=/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247 --sysconfdir=/etc --disable-shared --enable-load-relative --with-static-linked-ext --with-out-ext=dl/win32,fiddle/win32,tk/tkutil,win32ole,-test-/win32/dln,-test-/win32/fd_setsize

but I'm stuck at: (({ruby --disable=gems -dw -e 'puts :ok'}))
 Exception `LoadError' at /Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/2.0.0/digest.rb:1 - cannot load such file -- digest.so
 /Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/2.0.0/digest.rb:1:in `require': cannot load such file -- digest.so (LoadError)
 	from /Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/2.0.0/digest.rb:1:in `<top (required)>'
=end



-- 
http://bugs.ruby-lang.org/